MyGUI::Vertex Struct Reference

`#include <MyGUI_VertexData.h>`

## Public Member Functions

void | set (float _x, float _y, float _z, float _u, float _v, uint32 _colour)

## Data Fields

float | x
float | y
float | z
uint32 | colour
float | u
float | v

## Detailed Description

Definition at line 16 of file MyGUI_VertexData.h.

## Member Function Documentation

## set()

void MyGUI::Vertex::set | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _u,
|  | float | _v,
|  | uint32 | _colour )

inline

Definition at line 18 of file MyGUI_VertexData.h.

## Field Documentation

## colour

uint32 MyGUI::Vertex::colour

Definition at line 29 of file MyGUI_VertexData.h.

## u

float MyGUI::Vertex::u

Definition at line 30 of file MyGUI_VertexData.h.

## v

float MyGUI::Vertex::v

Definition at line 30 of file MyGUI_VertexData.h.

## x

float MyGUI::Vertex::x

Definition at line 28 of file MyGUI_VertexData.h.

## y

float MyGUI::Vertex::y

Definition at line 28 of file MyGUI_VertexData.h.

## z

float MyGUI::Vertex::z

Definition at line 28 of file MyGUI_VertexData.h.

The documentation for this struct was generated from the following file:

- MyGUI_VertexData.h